// vim: set tw=80 ts=2 sw=2 sts=2 :

import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ReactiveFormsModule } from '@angular/forms';
import { HttpClientModule } from '@angular/common/http';
import { HTTP_INTERCEPTORS } from '@angular/common/http';

import { NgLoggerModule } from '@nsalaun/ng-logger';

import { AuthInterceptor } from './authInterceptor';
import { LoginService } from './login.service';
import { LoginFormComponent } from './loginForm.component';
import { LoginModalComponent } from './loginModal.component';

@NgModule({
  imports: [
    HttpClientModule,
    CommonModule,
    ReactiveFormsModule,
    NgLoggerModule,
  ],
  providers: [
    LoginService,
    {
      provide: HTTP_INTERCEPTORS,
      useClass: AuthInterceptor,
      multi: true
    }
  ],
  declarations: [
    LoginModalComponent,
    LoginFormComponent,
  ],
  entryComponents: [
    LoginModalComponent,
    LoginFormComponent,
  ]
})
export class LoginModule {};
